> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/uniformness.md).

# Uniformness Result Scheme

Haut.AI provides AI algorithms that analyze the skin uniformness of different facial areas and the whole face.

## **Description**

{% content-ref url="/pages/JglpYbLK9mFsotscQkWw" %}
[Uniformness Algorithm (experimental)](/haut.ai/haut.ai-features/algorithms/face-metrics-2-0/uniformness-algorithm-experimental.md)
{% endcontent-ref %}

## `algorithm_tech_name`

`uniformness`

## `area_name`

The algorithm returns metrics and sub-metrics for the following facial areas:

* `face`
* `forehead`
* `right_cheek`
* `left_cheek`

## `main_metric`

The main metric is an overall score that indicates the uniformness of each `area_name`

```javascript
"main_metric": {
                "value": 30,
                "widget_type": "bad_good_line",
                "name": "Uniformness Score",
                "tech_name": "uniformness_score",
                "widget_meta": null
            },
           
```

* **`value`** The uniformness score ranges from `[0,100]`*The higher the value of this parameter, the more uniform and smooth your skin is.*
* The score can be classified into six classes based on `value`:
  * `(90,100]` - Excellent
  * `(80,90]` - Great
  * `(70,80]` - Good
  * `(50,70]` - Average
  * `(30, 50]` - Poor
  * `[0,30]` - Bad
* `"widget_type": "bad_good_line"` indicates that a higher value corresponds to a better skin condition
* `"name": "Uniformness score"`
* `"tech_name": "uniformness_score"`

## `sub_metrics`

The algorithm doesn't return any

## `masks_restored`

The algorithm returns a vectorized heatmap mask of regions with high non-uniformness for a face-aligned image.

* `"mask_type": "heatmap_mask"`
* `features`

  * geometry
    * `"type": "Multipolygon"`

  See more on Masks [here](/haut.ai/haut.ai-features/algorithms/algorithm-results.md#masks)

## `masks_original`

The algorithm returns a vectorized heatmap mask of regions with high non-uniformness for an original image

* `"mask_type": "heatmap_mask"`
* `features`

  * geometry
    * `"type": "Multipolygon"`

  See more on Masks [here](/haut.ai/haut.ai-features/algorithms/algorithm-results.md#masks)

## **Example (JSON)**

{% file src="/files/NeW6oCRt9Xa0GbaLLTFo" %}

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/uniformness.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
